Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IBSplineBasisFunction.IBSplineBasisSubFunction

    java.lang.Object
      igeo.IPiecewiseFunction
          igeo.IPiecewisePolynomialFunction
              igeo.IBSplineBasisFunction.IBSplineBasisSubFunction

All Implemented Interfaces:
  IFunction

Enclosing class:
  IBSplineBasisFunction

    public class IBSplineBasisFunction.IBSplineBasisSubFunction

extends IPiecewisePolynomialFunction

Implementation of sub-indexed Bernstein polynominal for NURBS geometry.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`int` | `degree`
`int` | `index`
`double[]` | `knots`

Fields inherited from class igeo.IPiecewiseFunction
`domains, functions`

Constructor Summary
`IBSplineBasisFunction.IBSplineBasisSubFunction(IBSplineBasisFunction.IBSplineBasisSubFunction bf, double[] knots)`
`IBSplineBasisFunction.IBSplineBasisSubFunction(int deg, int idx, double[] kv)`

Method Summary
`void` | `add(IBSplineBasisFunction.IBSplineBasisSubFunction bs)`
`IBSplineBasisFunction.IBSplineBasisSubFunction` | `dup()`
`void` | `init()`
`java.lang.String` | `toString()`

Methods inherited from class igeo.IPiecewisePolynomialFunction
`add, add, differentiate, init, mul, mul, setFunction`

Methods inherited from class igeo.IPiecewiseFunction
`eval, getIndexOfDomain, getIndexOfDomain, getNumberOfDomains, init, init, init, init, lowerBoundOfDomain, setDomain, setFunction, upperBoundOfDomain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### degree

    public int degree

### index

    public int index

### knots

    public double[] knots

Constructor Detail

### IBSplineBasisFunction.IBSplineBasisSubFunction

    public IBSplineBasisFunction.IBSplineBasisSubFunction(int deg,
                                                          int idx,
                                                          double[] kv)

### IBSplineBasisFunction.IBSplineBasisSubFunction

    public IBSplineBasisFunction.IBSplineBasisSubFunction(IBSplineBasisFunction.IBSplineBasisSubFunction bf,
                                                          double[] knots)

Method Detail

### dup

    public IBSplineBasisFunction.IBSplineBasisSubFunction dup()

  Specified by:
    `dup` in interface `IFunction`
  Overrides:
    `dup` in class `IPiecewisePolynomialFunction`

### init

    public void init()

### add

    public void add(IBSplineBasisFunction.IBSplineBasisSubFunction bs)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `IPiecewisePolynomialFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD